//
//  ItemStore.swift
//  SagePoet
//
//Created by software20 on 2022/6/13.

import UIKit

class ItemStore {
    var allItems = [Poem]()
    
    @discardableResult func createItem(author: String,chaodai: String,content: String,poemName: String) -> Poem{
//        let newItem = Item(random: true)
        let newItem = Poem(author: author, chaodai: chaodai, content: content,poemName: poemName)
        allItems.append(newItem)
        
        return newItem
        
    }
    
    
    
    init(){
        if let poems = PoemsGernerator.pListGenerator()?.value(forKey: "poems") as? [NSDictionary]{
            for poem in poems{
                let dynasty = poem["dynasty"] as! String
                let author1 = poem["author"] as! String
                let title = poem["title"] as! String
                var contents: String = ""
                var i = 1
                if let sentences = poem["sentences"] as? [NSDictionary]{
                    for sentence in sentences{
                        let sentenceKey = String.localizedStringWithFormat("s%i", i)
                        if let sentenceString = sentence[sentenceKey] as? String{
                            contents.append(sentenceString)
                            contents.append("\n")
                        }
                        i += 1
                    }
                }
                createItem(author: author1, chaodai: dynasty, content: contents,poemName: title)
            }
        }
        
    }
}
