//
//  ViewController.swift
//  SagePoet
//
//Created by software20 on 2022/6/14.

import UIKit

class ItemViewController: UITableViewController {
    
    var itemStore: ItemStore!
    
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return itemStore.allItems.count                
    }

    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let ce = tableView.dequeueReusableCell(withIdentifier: "UITableViewCell",for: indexPath)
        //将tableView中的第n行的文字设置为第n个item对象的名字
        let ite = itemStore.allItems[indexPath.row]
        ce.textLabel?.text = ite.name
        ce.detailTextLabel?.text = ite.author
        return ce
    }
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        switch segue.identifier {
        case "showPoem":
            if let index = tableView.indexPathForSelectedRow?.row {
                let poem = itemStore.allItems[index]
                let mubiaoController = segue.destination as! DetailViewController
                mubiaoController.poem = poem
            }  
        default:
            break
        }
    }
}

